package com.ruoyi.jjh.declaration.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoWorkRequest;
import com.ruoyi.jjh.declaration.mapper.BmsEnterpriseBasicInfoMapper;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseBasicInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业基础信息Service业务层处理
 *
 * @author farben
 * @date 2023-08-25
 */
@Service
public class BmsEnterpriseBasicInfoServiceImpl extends ServiceImpl<BmsEnterpriseBasicInfoMapper, BmsEnterpriseBasicInfo> implements IBmsEnterpriseBasicInfoService {


    /**
     * 查询企业基础信息列表
     *
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息
     */
    @Override
    public Page<BmsEnterpriseBasicInfo> page(Page<BmsEnterpriseBasicInfo> page, BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        return baseMapper.page(page, bmsEnterpriseBasicInfo);
    }

    /**
     * 查询企业基础信息列表所有
     *
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息
     */
    @Override
    public List<BmsEnterpriseBasicInfo> page(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        return baseMapper.page(bmsEnterpriseBasicInfo);
    }


    @Override
    public List<BmsEnterpriseBasicInfo> workSearch(EnterpriseInfoWorkRequest enterpriseInfoWorkRequest) {
        return baseMapper.workSearch(enterpriseInfoWorkRequest);
    }

    /**
     * 根据信用代码获取该企业id
     */
    @Override
    public BmsEnterpriseBasicInfo selectGetCreditCode(String getCreditCode) {
        return baseMapper.selectGetCreditCode(getCreditCode);
    }
}
