package com.ruoyi.jjh.ent.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 总部企业请求体
 *
 * @author du
 * @since 2024/7/29 13:14
 */
@Data
@ApiModel("总部企业请求体")
public class JHeadQuartersRevenueRequest {

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 年份
     */
    @ApiModelProperty("年份")
    private String years;

    /**
     * 【总部类型】
     * 制造业总部：06-46
     * 建筑业总部：47-50
     * 批零住餐总部：51、52、61、62
     * 贸易类总部：待定
     * 服务业总部：其他所有的
     */
    @ApiModelProperty("总部类型 1制造业总部 2建筑业总部 3批零住餐总部 4贸易类总部 5服务业总部")
    private Integer type;


    /**
     * 小类区分
     */
    @ApiModelProperty("小类区分 1省级总部 2市级总部 3区级总部")
    private Integer projectSmallType;
}
