package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.exception.job.TaskException;
import com.ruoyi.jjh.ent.entity.JSmartReminders;
import com.ruoyi.jjh.ent.entity.request.JSmartRemindersDq;
import com.ruoyi.jjh.ent.entity.request.JSmartRemindersNDq;
import org.quartz.SchedulerException;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 智能提醒（j_smart_reminders）表业务层
 *
 * @author du
 * @since 2024/7/1 13:33
 */
public interface JSmartRemindersService extends IService<JSmartReminders> {
    /**
     * 分页查询所有数据
     *
     * @param page            分页对象
     * @param jSmartReminders 查询实体
     * @return 所有数据
     */
    Page<JSmartReminders> page(Page<JSmartReminders> page, JSmartReminders jSmartReminders);

    /**
     * 新增定期提醒数据
     *
     * @param jSmartRemindersDq 实体对象
     * @return 新增结果
     */
    Long add(JSmartRemindersDq jSmartRemindersDq) throws SchedulerException, TaskException;

    /**
     * 生成cron表达式
     *
     * @return cron表达式
     */
    String generateCron(LocalDateTime time);

    /**
     * 修改或者新增定时任务
     */
    void updateAndAdd(JSmartReminders s, Boolean a) throws SchedulerException, TaskException;

    /**
     * 修改定期提醒数据
     *
     * @param dq 实体对象
     * @return 修改结果
     */
    Long updateDq(JSmartRemindersDq dq) throws SchedulerException, TaskException;


    /**
     * 修改不定期提醒数据
     *
     * @param ndq 实体对象
     * @return 修改结果
     */
    Long updateNdq(JSmartRemindersNDq ndq);


    /**
     * 通过主键查询单条智能提醒规则数据
     *
     * @param id 主键
     * @return 单条数据
     */
    JSmartReminders selectOneSmart(Serializable id);

}

