package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;
import com.ruoyi.jjh.declaration.service.IBmsDeclarationRecordsService;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseBasicInfoService;
import com.ruoyi.jjh.declaration.service.IBmsTemplateInfoService;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.mapper.JProjectMapper;
import com.ruoyi.jjh.ent.service.JProjectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * 项目表(JProject)表服务实现类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@Service("jProjectService")
public class JProjectServiceImpl extends ServiceImpl<JProjectMapper, JProject> implements JProjectService {


    @Resource
    private IBmsDeclarationRecordsService iBmsDeclarationRecordsService;

    @Resource
    private IBmsTemplateInfoService iBmsTemplateInfoService;

    @Resource
    private IBmsEnterpriseBasicInfoService iBmsEnterpriseBasicInfoService;

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jProject 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JProject> page(Page<JProject> page, JProject jProject) {
        return baseMapper.page(page, jProject);
    }

    /**
     * 通过主键查询该项目的在线流程
     *
     * @param id 主键
     * @return 单条数据
     */
    @Override
    public List<BmsApprovalInfoQueryVo> getApprovalInfoList(Serializable id) {
        return baseMapper.getApprovalInfoList(id);
    }


    @Override
    public List<JProject> selectAll(String jProject, Integer status) {
        return baseMapper.selectAll(jProject, status);
    }


    /**
     * 改变没有信用代码的项目
     *
     * @return
     */
    @Override
    public String changeTyshxydm() {
        List<BmsEnterpriseBasicInfo> listE = iBmsEnterpriseBasicInfoService.list();
        //获取项目库信用代码为空的企业
        QueryWrapper<JProject> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("credit_code", "");
        List<JProject> listJ = this.list(queryWrapper);
        listJ.forEach(x -> {
            listE.forEach(y -> {
                if (x.getDeclareUnit().equals(y.getQymc())) {
                    JProject jp = new JProject();
                    jp.setId(x.getId());
                    jp.setCreditCode(y.getTyshxydm());
                    this.updateById(jp);
                }
            });
        });
        return "";
    }

    /**
     * 改变项目中的英文括号
     *
     * @return
     */
    @Override
    public String changeKh() {
        QueryWrapper<JProject> queryWrapper = new QueryWrapper<>();
        queryWrapper.like("declare_unit", "(");
        List<JProject> listJ = this.list(queryWrapper);
        listJ.forEach(x -> {
            String declareUnit = x.getDeclareUnit();
            // 将英文括号替换为中文括号
            String result = declareUnit.replaceAll("\\(", "（")
                    .replaceAll("\\)", "）");
            x.setDeclareUnit(result);
            this.updateById(x);
        });
        return "";
    }
}

